import {getDatabase} from './getDB.web';
import {databaseConf, mergeDBName} from './types';

export const setEntry = async <T2 extends databaseConf<T, any>, T>(
  schema: T2,
  value: T,
  suffix?: string,
) => {
  const nameObj = {name: schema.details.name, suffix};
  const dbName = nameObj.name;

  const db = await getDatabase(nameObj);

  const tx = db.transaction(dbName, 'readwrite');
  const store = tx.objectStore(dbName);

  await store.put(value);
  await tx.done;
};
